- 61
- 5 545
Amit Choraria
Приєднався 24 сер 2016
Weekly Contest 424 | First 3 Problems - 3354, 3355 & 3356 | Leetcode
3354. Make Array Elements Equal to Zero: leetcode.com/problems/make-array-elements-equal-to-zero/description/
Solution 3354: github.com/jainamit130/Leetcode/blob/main/3354-make-array-elements-equal-to-zero/3354-make-array-elements-equal-to-zero.cpp
3355. Zero Array Transformation I : leetcode.com/problems/zero-array-transformation-i/description/
Solution 3355: github.com/jainamit130/Leetcode/blob/main/3355-zero-array-transformation-i/3355-zero-array-transformation-i.cpp
3356. Zero Array Transformation II: leetcode.com/problems/zero-array-transformation-ii/description/
Solution 3356: github.com/jainamit130/Leetcode/blob/main/3356-zero-array-transformation-ii/3356-zero-array-transformation-ii.cpp
Solution 3354: github.com/jainamit130/Leetcode/blob/main/3354-make-array-elements-equal-to-zero/3354-make-array-elements-equal-to-zero.cpp
3355. Zero Array Transformation I : leetcode.com/problems/zero-array-transformation-i/description/
Solution 3355: github.com/jainamit130/Leetcode/blob/main/3355-zero-array-transformation-i/3355-zero-array-transformation-i.cpp
3356. Zero Array Transformation II: leetcode.com/problems/zero-array-transformation-ii/description/
Solution 3356: github.com/jainamit130/Leetcode/blob/main/3356-zero-array-transformation-ii/3356-zero-array-transformation-ii.cpp
Переглядів: 23
Відео
Weekly Contest 423 | 3349, 3350, 3351 & 3352 | Leetcode
Переглядів 67 годин тому
3349. Adjacent Increasing Subarrays Detection I : leetcode.com/problems/adjacent-increasing-subarrays-detection-i/ Solution 3349: github.com/jainamit130/Leetcode/blob/main/3349-adjacent-increasing-subarrays-detection-i/3349-adjacent-increasing-subarrays-detection-i.cpp 3350. Adjacent Increasing Subarrays Detection II: leetcode.com/problems/adjacent-increasing-subarrays-detection-ii/ Solution 33...
Biweekly Contest 143 | First 3 Problems- 3345, 3346 & 3347 | Leetcode
Переглядів 1612 годин тому
3345. Smallest Divisible Digit Product I : leetcode.com/problems/smallest-divisible-digit-product-i/description/ Solution 3345: github.com/jainamit130/Leetcode/blob/main/3345-smallest-divisible-digit-product-i/3345-smallest-divisible-digit-product-i.cpp 3346. Maximum Frequency of an Element After Performing Operations I: leetcode.com/problems/maximum-frequency-of-an-element-after-performing-ope...
3343. Count Number of Balanced Permutations | Leetcode | Weekly Contest 422
Переглядів 18614 днів тому
3343. Count Number of Balanced Permutations - leetcode.com/problems/count-number-of-balanced-permutations/description/ Solution: github.com/jainamit130/Leetcode/blob/main/3343-count-number-of-balanced-permutations/3343-count-number-of-balanced-permutations.cpp
Weekly Contest - 422 | First 3 Problems- 3340, 3341 & 3342 | Leetcode
Переглядів 6814 днів тому
3340. Check Balanced String : leetcode.com/problems/check-balanced-string/ Solution 3340: github.com/jainamit130/Leetcode/blob/main/3340-check-balanced-string/3340-check-balanced-string.cpp 3341. Find Minimum Time to Reach Last Room I: leetcode.com/problems/find-minimum-time-to-reach-last-room-i/description/ Solution 3341: github.com/jainamit130/Leetcode/blob/main/3341-find-minimum-time-to-reac...
Biweekly Contest - 142 | First 3 Problems- 3330, 3331 & 3332 | Leetcode
Переглядів 9721 день тому
3330. Find the Original Typed String I:leetcode.com/problems/find-the-original-typed-string-i/description/ Solution 3330: github.com/jainamit130/Leetcode/blob/main/3330-find-the-original-typed-string-i/3330-find-the-original-typed-string-i.cpp 3331. Find Subtree Sizes After Changes: leetcode.com/problems/find-subtree-sizes-after-changes/description/ Solution 3331: github.com/jainamit130/Leetcod...
3321. Find X-Sum of All K-Long Subarrays II | Leetcode | Weekly Contest 419
Переглядів 52Місяць тому
3321. Find X-Sum of All K-Long Subarrays II - leetcode.com/problems/find-x-sum-of-all-k-long-subarrays-ii/description/ Solution: github.com/jainamit130/Leetcode/blob/main/3321-find-x-sum-of-all-k-long-subarrays-ii/3321-find-x-sum-of-all-k-long-subarrays-ii.cpp
3320. Count The Number of Winning Sequences | Leetcode | Weekly Contest 419
Переглядів 23Місяць тому
3320. Count The Number of Winning Sequences - leetcode.com/problems/count-the-number-of-winning-sequences/description/ Solution: github.com/jainamit130/Leetcode/blob/main/3320-count-the-number-of-winning-sequences/3320-count-the-number-of-winning-sequences.cpp
Find XSum of All K-Long Subarrays I | K-th Largest Perfect Subtree Size in Binary Tree | Contest 419
Переглядів 66Місяць тому
Problem 3318: leetcode.com/problems/find-x-sum-of-all-k-long-subarrays-i/ Solution 3318: github.com/jainamit130/Leetcode/blob/main/3318-find-x-sum-of-all-k-long-subarrays-i/3318-find-x-sum-of-all-k-long-subarrays-i.cpp Problem 3319: leetcode.com/problems/k-th-largest-perfect-subtree-size-in-binary-tree/description/ Solution 3319: github.com/jainamit130/Leetcode/blob/main/3319-k-th-largest-perfe...
Biweekly Contest | First 3 Problems- 3314, 3315 & 3316 | Leetcode
Переглядів 123Місяць тому
Problem 3314: Construct the Minimum Bitwise Array I: leetcode.com/problems/construct-the-minimum-bitwise-array-i/description/ Solution 3314: github.com/jainamit130/Leetcode/blob/main/3280-convert-date-to-binary/3280-convert-date-to-binary.cpp Problem 3315: Construct the Minimum Bitwise Array II: leetcode.com/problems/construct-the-minimum-bitwise-array-i/description/ Solution 3315: github.com/j...
3312. Sorted GCD Pair Queries | Leetcode | Weekly Contest 418
Переглядів 109Місяць тому
3312. Count of Substrings Containing Every Vowel and K Consonants II - leetcode.com/problems/sorted-gcd-pair-queries/description/ Solution: github.com/jainamit130/Leetcode/blob/main/3312-sorted-gcd-pair-queries/3312-sorted-gcd-pair-queries.cpp
3306. Count of Substrings Containing Every Vowel and K Consonants II | Binary Search | Leetcode
Переглядів 67Місяць тому
3306. Count of Substrings Containing Every Vowel and K Consonants II - leetcode.com/problems/count-of-substrings-containing-every-vowel-and-k-consonants-ii/ Solution: github.com/jainamit130/Leetcode/blob/main/3306-count-of-substrings-containing-every-vowel-and-k-consonants-ii/3306-count-of-substrings-containing-every-vowel-and-k-consonants-ii.cpp
Biweekly Contest 140 | 3300, 3301 & 3302 | First 3 Problems | Leetcode
Переглядів 94Місяць тому
Problem 3300- Minimum Element After Replacement With Digit Sum: leetcode.com/problems/minimum-element-after-replacement-with-digit-sum/ Solution: github.com/jainamit130/Leetcode/blob/main/3300-minimum-element-after-replacement-with-digit-sum/3300-minimum-element-after-replacement-with-digit-sum.cpp Problem 3301- Maximize the Total Height of Unique Towers: leetcode.com/problems/maximize-the-tota...
Count Substrings That Can Be Rearranged to Contain a String I & II (2 Approaches)-Weekly Contest 416
Переглядів 113Місяць тому
Problem: leetcode.com/problems/count-substrings-that-can-be-rearranged-to-contain-a-string-i/description/ Solution: github.com/jainamit130/Leetcode/blob/main/3297-count-substrings-that-can-be-rearranged-to-contain-a-string-i/3297-count-substrings-that-can-be-rearranged-to-contain-a-string-i.cpp Problem: leetcode.com/problems/count-substrings-that-can-be-rearranged-to-contain-a-string-ii/descrip...
3295 & 3296- Minimum Number of Seconds to Make Mountain Height Zero (2 Approach)- Weekly Contest 416
Переглядів 112Місяць тому
Problem: leetcode.com/problems/report-spam-message/description/ Solution: github.com/jainamit130/Leetcode/blob/main/3295-report-spam-message/3295-report-spam-message.cpp Problem: leetcode.com/problems/minimum-number-of-seconds-to-make-mountain-height-zero/description/ Solution: github.com/jainamit130/Leetcode/blob/main/3296-minimum-number-of-seconds-to-make-mountain-height-zero/3296-minimum-num...
3288. Length of the Longest Increasing Path | Biweekly Contest 139 | Leetcode
Переглядів 1252 місяці тому
3288. Length of the Longest Increasing Path | Biweekly Contest 139 | Leetcode
3287. Find the Maximum Sequence Value of Array | Biweekly Contest 139 | Leetcode
Переглядів 5922 місяці тому
3287. Find the Maximum Sequence Value of Array | Biweekly Contest 139 | Leetcode
3283. Maximum Number of Moves to Kill All Pawns | Weekly Contest 414 | Leetcode
Переглядів 472 місяці тому
3283. Maximum Number of Moves to Kill All Pawns | Weekly Contest 414 | Leetcode
Weekly Contest 414 | First 3 Problems- 3280, 3281 & 3282 | Leetcode
Переглядів 812 місяці тому
Weekly Contest 414 | First 3 Problems- 3280, 3281 & 3282 | Leetcode
3276. Select Cells in Grid With Maximum Score | Weekly Contest 413 | Leetcode
Переглядів 792 місяці тому
3276. Select Cells in Grid With Maximum Score | Weekly Contest 413 | Leetcode
3272. Find the Count of Good Integers | Biweekly Contest 138 | Leetcode
Переглядів 3982 місяці тому
3272. Find the Count of Good Integers | Biweekly Contest 138 | Leetcode
3273. Minimum Amount of Damage Dealt to Bob | Biweekly Contest 138 | Leetcode
Переглядів 932 місяці тому
3273. Minimum Amount of Damage Dealt to Bob | Biweekly Contest 138 | Leetcode
Biweekly Contest 138 | First 2 Problems | 3270 and 3271 | Leetcode
Переглядів 412 місяці тому
Biweekly Contest 138 | First 2 Problems | 3270 and 3271 | Leetcode
Final Array State After K Multiplication Operations I and II | Weekly Contest 412 | 3264 and 3266
Переглядів 962 місяці тому
Final Array State After K Multiplication Operations I and II | Weekly Contest 412 | 3264 and 3266
698. Partition to K Equal Sum Subsets | Leetcode
Переглядів 262 місяці тому
698. Partition to K Equal Sum Subsets | Leetcode
3257. Maximum Value Sum by Placing Three Rooks II | Leetcode | Biweekly Contest: 137
Переглядів 1542 місяці тому
3257. Maximum Value Sum by Placing Three Rooks II | Leetcode | Biweekly Contest: 137
3256. Maximum Value Sum by Placing Three Rooks I | Biweekly Contest 137 | Leetcode
Переглядів 4423 місяці тому
3256. Maximum Value Sum by Placing Three Rooks I | Biweekly Contest 137 | Leetcode
Find the Power of K-Size Subarrays I and II | Biweekly Contest 137 | 3254 and 3255 | Leetcode
Переглядів 493 місяці тому
Find the Power of K-Size Subarrays I and II | Biweekly Contest 137 | 3254 and 3255 | Leetcode
3251. Find the Count of Monotonic Pairs II | Weekly Contest 410 | Leetcode
Переглядів 1163 місяці тому
3251. Find the Count of Monotonic Pairs II | Weekly Contest 410 | Leetcode
Weekly Contest 410 | Leetcode | 3248, 3249 and 3250 | First 3 Problems
Переглядів 733 місяці тому
Weekly Contest 410 | Leetcode | 3248, 3249 and 3250 | First 3 Problems
keep making videos dear
Bhiaya i found your vdo quite helpful can you tell if there is any way where i can contact you i want to improve on dsa? Like telegram or insta?
thanks bhai
Thanks a lot sir... btw i am unable to solve DP ques how to improve it?
@@ITACH1688 I used to solve more recursive problems before i got to dp, then i started solving more dp using top down approaches and then made way towards bottom up approaches. There is no secret to it. Just keep practicing and you will get there.
@@amitchoraria5737 Thanks ❤️
keep posting bhaiya
Brilliant.
good efforts, although you have a good potential but try to be more clear while delivering as you seem to be confuse sometimes
@@shubhambhatt6913 Agreed and Noted. Thanks
bhut ache bhai
In this piece of code if(mp.find(0)!=mp.end() && mp[0]>0){ mp[0]--; ans-=permutations(mp,n-1); } You are subtracting zero count by 1 by fixing zero at start.But what if the number is 5005 and a possible arrangement is 0055.Here there are 2 leading zeroes.So how code will work?
Awesome point raised!! Here, Since we don’t want any "Permutation" starting with a 0. Hence, the code Permutations(mp,n-1); => (with one less count of 0 in map) Will give all the permutations starting with 0. So, in the example you mentioned it will give, 3 permutations that are 0505 0550 0055 The permutation 0055 will also be removed from the total permutations. Only 3 valid ones would remain that are: 5005 5050 5500 So, we are not just fixing zero at the start but we are finding all the permutations with the 0 as the start. Hope, this clears.
nice explanation man! i hope you will upload other more optimal solution for this ques
nice man!
simple and nice
nice
Bhaiya kisi ka samajh nhi aaya tha but aapka 3rd ques aa gya samajh thank You
Greta explantion bro.. also upload video for Maximum Value Sum by Placing Three Rooks II🎯🎯
Thanks….have uploaded the second part as well: ua-cam.com/video/2O9qvoquPVQ/v-deo.htmlsi=qnxNzf11lGM4uLGo
bro, Great explanation ! each and every thing is crystal clear, Hoping you will continue this excellent work 💯
nice video
3rd one i am wondering how u think that logic great work bro
Please explain the algo in whiteboard with dry run
1080 not available why?
I like the shading and the output! Something you can use as an icon of a burger company! Missing burgers now. I’m supporting you ❤️